"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("../common");
exports.sink = (payload) => {
    const { level, name, msg, time, details } = payload;
    const console_method_name = common_1.LEVEL_TO_CONSOLE_METHOD[level];
    const console_method = console[console_method_name];
    let line = ''
        //+ time
        //+ ' '
        + `[${level}]`
        + (name ? ` ${name} › ` : ' ')
        + msg;
    if (Object.keys(details).length)
        console_method(line, details);
    else
        console_method(line);
};
exports.default = exports.sink;
//# sourceMappingURL=index.js.map